Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

kernel 2416

Anoniem
None
9 antwoorden
  • Ik dacht heel simpel, als ik ben, de kernel rpm van suse te downloaden en te installeren. (suse/update/7.1). Dit ging allemaal goed, met mkinitrd nog er achteraan, zoals hij vraagt. Dit lijkt allemaal goed te gaan. Bij het opnieuw opstarten zie ik inderdaad dat het nu 2.4.16-4GB is en ook de modules worden geladen.
    Alleen doet de pcmcia scsi kaart het niet meer (deze gebruik ik voor mijn externe brander). Het is een aha1460D slim-scsi kaart.
    Ik was in de veronderstelling dat de default kernel van suse ook weer de zelfde ondersteuning zou bieden als de vorige 2.4.0?
    Wat moet ik doen om in deze kernel deze kaart weer aan de praat te krijgen?
    Heeft iemand een idee voor een simpele ziel als ik?
  • In de nieuwe kernel zijn er dan waarschijnlijk een aantal zaken niet aangezet, die in je oude kernel wel draaiden. Dit kan bijvoorbeeld zijn het ondersteunen van scsi, of van pcmcia.

    Vermoedelijk zal je dus je kernel opnieuw moeten compileren, en deze opties dan wel aanvinken.
  • Denk niet dat je opnieuw hoef te compileren alleen moet je zorgen dat je de betreffende module hanmatig moet toevoegen
    probeer dat eens met insmod of modprobe en kijk of je dus wel de module hebt
  • Met insmod krijg ik de volgende melding:

    insmod aha152x

    Using /lib/modules/2.4.16-4GB/kernel/driver/scsi/aha152x.o
    /lib/modules/2.4.16-4GB/kernel/driver/scsi/aha152x.o: unresolved symbol isapnp_find_dev

    Wat betekend dit?
  • Ik heb nu 2.4.7 geinstalleerd.
    van 240 -> 2416 -> 247
    Met 247 doet de scsi kaart het wel en mijn brander dus ook. Nu heb ik echter weer een probleem wat ik eerder ook heb gahad met deze kernel. Soms loopt de boel vast bij het opstarten na de melding "start lpd"
    Ik heb het idee dat dat is als de laptop warm is.
    Ik neem dat nu maar even voor lief, maar als iemand me kan helpen met de 2416 kernel vraag zoals hierboven staat, graag! :smile: :grin:

    [ Dit Bericht is bewerkt door: ahbart op 2002-03-15 19:38 ]
  • Weet je toevallig ook waar je 2.4.16 kan downloaded voor suse 7.3¿??
  • Ja,

    ftp://ftp.suse.com/pub/suse/i386/update/7.3/kernel/2.4.16

  • Iemand die me kan uitleggen waarom mijn scsi pcmcia kaart niet werkt onder de standaard kernel van suse 2.4.16 en wel onder 2.4.0 en 2.4.7?
  • [quote:cc4e353034]
    Op 15-03-2002 17:32, schreef ahbart:
    Met insmod krijg ik de volgende melding:

    insmod aha152x

    Using /lib/modules/2.4.16-4GB/kernel/driver/scsi/aha152x.o
    /lib/modules/2.4.16-4GB/kernel/driver/scsi/aha152x.o: unresolved symbol isapnp_find_dev

    Wat betekend dit?
    [/quote:cc4e353034]

    dit betekent dat de isa-pnp tools niet meegecompiled zijn als module of in kernel.

    wat je doet is naar /usr/src/linux gaan en daar - afhankelijk van je voorkeur ingeven:
    make menuconfig
    of
    make xconfig

    selecteer daar alles wat je nodig hebt (meeste staat al aan) en ook de isa-pnp dinges
    dan ff compilen en installeren. (extra image in /boot)
    even lilo wijzigen en op leeg! floppy installeren


Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.